Support new PolicyKit 1.0 API
authorDaniel P. Berrange <berrange@redhat.com>
Thu, 6 Aug 2009 12:54:08 +0000 (13:54 +0100)
committerDaniel P. Berrange <berrange@redhat.com>
Tue, 25 Aug 2009 10:59:14 +0000 (11:59 +0100)
commit8e06c8b3da889899072d4ff051f3325fc4e4f58d
tree5b74c10c848d8700f569d569aa261586d0c76833
parent777fc2e9d60844a7387355d9cef06bd25190d146
Support new PolicyKit 1.0 API

* configure.in: Check for pkcheck which indicates new policykit
* qemud/Makefile.am: Install different versions of policy
* qemud/libvirtd.policy: Rename to libvirtd.policy-0
* qemud/libvirtd.policy-1: new style policy
* qemud/qemud.c, qemud/qemud.h, qemud/remote.c: Support new
  policykit API via external pkcheck helper
* src/remote_internal.c: Don't prompt for polkit auth with new
  policykit API
* libvirt.spec.in: deal with new policy install locations & deps
configure.in
libvirt.spec.in
qemud/Makefile.am
qemud/libvirtd.policy-0 [copied from qemud/libvirtd.policy with 100% similarity]
qemud/libvirtd.policy-1 [moved from qemud/libvirtd.policy with 96% similarity]
qemud/qemud.c
qemud/qemud.h
qemud/remote.c
src/remote_internal.c